From a11a756546da1b17985d75bbe6bbb957787cc48d Mon Sep 17 00:00:00 2001
From: Kuntal Ghosh <kuntal.ghosh@enterprisedb.com>
Date: Tue, 7 Apr 2020 16:49:30 +0530
Subject: [PATCH v1] Update stats in SimpleLruReadPage_ReadOnly

---
 src/backend/access/transam/slru.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/src/backend/access/transam/slru.c b/src/backend/access/transam/slru.c
index de3c94105d..b2316af779 100644
--- a/src/backend/access/transam/slru.c
+++ b/src/backend/access/transam/slru.c
@@ -491,6 +491,10 @@ SimpleLruReadPage_ReadOnly(SlruCtl ctl, int pageno, TransactionId xid)
 		{
 			/* See comments for SlruRecentlyUsed macro */
 			SlruRecentlyUsed(shared, slotno);
+
+			/* update the stats counter of pages found in the SLRU */
+			pgstat_count_slru_page_hit(ctl);
+
 			return slotno;
 		}
 	}
-- 
2.17.1

